/*
 * catalog/net/Order.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package catalog.net;

import java.io.*;

/**
* an order of articles
*/
public class Order implements Serializable {
    public String ordererName;
    public String[] orderedArticles;
    public String documentIdentifier;
    public String sum;

    /**
    * creates an empty order with the ordererName "nobody"
    */
    public Order() {
        ordererName = new String("nobody");
    }

    /**
    * creates an order
    */
    public Order(String ordererName, String orderedArticles[], String documentIdentifier, String sum) {
	this.ordererName = ordererName;
        this.orderedArticles = orderedArticles;
	this.documentIdentifier = documentIdentifier;
        this.sum = sum;
    }
}
