/*
 * smi/baseConf/RatedString.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package smi.baseConf;

import java.io.Serializable;

public class RatedString implements Serializable {
    public String string;
    public int rating;

    public RatedString(String string, int rating) {
	this.string = string;
	this.rating = rating;
    }

    public static RatedString[] toRatedString(String[] string) {
	if(string == null)
	    return null;
	RatedString[] ratedStrings = new RatedString[string.length];
	for(int i=0; i < string.length; i++)
	    ratedStrings[i] = new RatedString(string[string.length - i - 1], i + 1);
	return ratedStrings;
    }

    public String toString() {
	return "(" + string + "," + Integer.toString(rating) + ")";
    }
}
