/*
 * smi/util/Emit.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package smi.util;

public final class Emit
{
    final static byte[] DSA_OUT={0x30,0x09,0x06,0x05,0x2b,0x0e,0x03,0x02,0x0c,0x05,0x00};
    final static byte[] MD5_OUT={0x30,0x0c,0x06,0x08,0x2a,(byte)0x86,0x48,(byte)0x86,(byte)0xf7,0x0d,0x02,0x05,0x05,0x00};
    final static byte[] MD5_RSA_OUT= {0x30,0x0d,0x06,0x09,0x2a,(byte)0x86,0x48,(byte)0x86,(byte)0xf7,0x0d,
	0x01,0x01,0x04,0x05,0x00};
    final static byte[] DH_OUT= {0x30,0x0d,0x06,0x09,0x2a,(byte)0x86,0x48,
	(byte)0x86,(byte)0xf7,0x0d,0x01,0x03,0x01,0x05,0x00};

    public static byte[] emit(String algorithmId) {
	if(algorithmId.equals("MD5/RSA"))
	    return MD5_RSA_OUT;
	if(algorithmId.equals("DH"))
	    return DH_OUT;
	if(algorithmId.equals("MD5"))
	    return MD5_OUT;
	if(algorithmId.equals("DSA"))
	    return DSA_OUT;
	System.out.println("Emit.java - nicht gefunden: "+algorithmId);
	return null;
    }
}
