/*
 * experimental source code
 * sproxy/server/UniServer.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package sproxy.server;

/**
* ein universelles Verbindungsglied, in dem die Konfiguration der beiden Ports ueber den Konstruktor uebergeben wird
*/
public class UniServer extends AbstractServer {

    protected int lport;
    protected int sport;
    protected String rr;

    public UniServer(int lport, int sport, String ad) {
	this.lport = lport;
	this.sport = sport;
	this.rr    = new String(ad);
    }

    /**
    * Der Server soll auf diesen Port auf Verbindungswuensche von aussen warten.
    */
    public int getlisteningPort() {
	return lport;
    }

    /**
    * auf diesem Port soll die Verbindung umgeleitet werden
    */
    public int getsendingPort() {
	return sport;
    }

    /**
    * Der Rechner, der den Dienst zur Vefuegung stellt
    */
    public String getRR() {
	return rr;
    }
}
