/*
 * ssonet/SSONETConstants.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package ssonet;

public final  class SSONETConstants {
    public final static int CONFIDENTIALITY = 0;
    public final static int ACCOUNTABILITY_SIGN = 1;
    public final static int ACCOUNTABILITY_ACCEPT = 2;
    public final static int ANONYMITY = 3;
    public final static int INTEGRITY = 4;

    public static final byte LEVEL_MIN = 0;
    public static final byte LEVEL_MAX = 6;

    public static final byte ALWAYS_ON_NO_CONDITION = 0;
    public static final byte ON_NO_CONDITION = 1;
    public static final byte IF_NECCESSARY = 2;
    public static final byte DONT_CARE = 3;
    public static final byte IF_POSSIBLE = 4;
    public static final byte UNCONDITIONAL = 5;
    public static final byte ALWAYS_UNCONDITIONAL = 6;

    public static final short OK = 0;
    public static final short NO_CONFIDENCIALITY_MECHANISM_FOUND = 1;
    public static final short NO_ANONYMITY_MECHANISM_FOUND = 2;
    public static final short NO_ACCOUNTABILITY_MECHANISM_FOUND = 3;
    public static final short NO_INTEGRITY_MECHANISM_FOUND = 4;
    public static final short CONFLICT = 5;

    private SSONETConstants() {
    };
}
