/*
 * ssonet/SSONETConstraints.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package ssonet;

/**
* SSONETConstraints enthlt die minimalen, standard und maximalen Aktions
* Konfigurationen, die bei der Verhandlung und insbesonders bei dem erstellen
* einer Konfuguration erforderlich sind.
* @see ActionConfiguration.configureAction()
*/
public class SSONETConstraints {
    public int[] min = {0,0,0,0};
    public int[] def = {3,3,3,3};
    public int[] max = {6,6,6,6};

    public void changeMin (int p1, int p2, int p3, int p4) {
	min[0] = p1; min[1] = p1; min[2] = p1; min[3] = p1;
    }

    public void changeDef (int p1, int p2, int p3, int p4) {
	def[0] = p1; def[1] = p1; def[2] = p1; def[3] = p1;
    }

    public void changeMax (int p1, int p2, int p3, int p4) {
	max[0] = p1; max[1] = p1; max[2] = p1; max[3] = p1;
    }
}
