/*
 * smi/awt/JSameSizeList.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package smi.awt;

import java.awt.Dimension;

import javax.swing.JList;
import javax.swing.ListModel;

public class JSameSizeList extends JList {

    private JList masterList;

    public JSameSizeList(ListModel listModel) {
	super(listModel);
    }

    public void setMaster(JList masterList) {
	this.masterList = masterList;
    }

    public Dimension getPreferredScrollableViewportSize() {
	return masterList.getPreferredScrollableViewportSize();
    }

    public Dimension getMinimumSize() {
	return masterList.getMinimumSize();
    }

    public Dimension getMaximumSize() {
	return masterList.getMaximumSize();
    }
}
