/*
 * ssonet/ConnectionConfiguration.java
 *
 * SSONET Version 1.1
 * 24. April 2000
 * <mailto:ssonet@inf.tu-dresden.de>
 *
 */
package ssonet;

import java.io.Serializable;

import smi.mechanisms.MechanismConfiguration;

public class ConnectionConfiguration implements Serializable {
    public String strConfidentiality;
    public String strAccountability;
    public String strIntegrity;
    public MechanismConfiguration mcConfidentiality;
    public MechanismConfiguration mcAccountability;
    public MechanismConfiguration mcIntegrity;
    public int id;

    public ConnectionConfiguration(int id) {
	this.id=id;
    }
}
